## gnome-shell-extension-caffeine 39

=== Makefile ===
all: build install

.PHONY: build install lint

build:
	./update-locale.sh
	glib-compile-schemas --strict --targetdir=caffeine@patapon.info/schemas/ caffeine@patapon.info/schemas

install:
	install -d ~/.local/share/gnome-shell/extensions
	cp -a caffeine@patapon.info/ ~/.local/share/gnome-shell/extensions/

lint:
	eslint caffeine@patapon.info

## gnome-shell-extension-caffeine 0~git20160328

=== debian/changelog ===
gnome-shell-extension-caffeine (0~git20160328-1) unstable; urgency=medium

  * Initial package (Closes: #819152)
  * Packaging based on gnome-shell-extension-suspend-button
    (thanks to Tobias Frost)

 -- Simon McVittie <smcv@debian.org>  Tue, 29 Mar 2016 07:42:58 +0100

=== debian/control ===
Source: gnome-shell-extension-caffeine
Section: gnome
Priority: optional
Maintainer: Simon McVittie <smcv@debian.org>
Build-Depends:
 debhelper (>= 9),
 gettext,
 libglib2.0-bin,
Standards-Version: 3.9.7
Homepage: https://github.com/eonpatapon/gnome-shell-extension-caffeine
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gnome-shell-extension-caffeine.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-shell-extension-caffeine.git

Package: gnome-shell-extension-caffeine
Architecture: all
Depends:
 gnome-shell (<< 3.21),
 gnome-shell (>= 3.10),
 ${misc:Depends},
Recommends:
 gnome-tweak-tool,
Description: GNOME Shell extension to keep your computer awake
 This GNOME Shell extension provides an icon which can be toggled to
 inhibit the actions that would normally be taken when the system is idle,
 including screen locking, screensaver and automatic suspend. By default
 it also inhibits idle actions while any window is full-screen, and it can
 be configured to inhibit idle actions while user-specified applications
 have any window open.
 .
 Please note that each user will need to enable the extension manually, for
 example using gnome-tweak-tool.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	glib-compile-schemas --strict --targetdir=caffeine@patapon.info/schemas/ caffeine@patapon.info/schemas
	touch caffeine@patapon.info/gnome-shell-extension-caffeine.pot
	./update-locale.sh
	dh_auto_build

override_dh_install:
	set -e; for x in caffeine@patapon.info/locale/*; do \
		install -d debian/tmp/usr/share/locale/$$(basename $$x)/LC_MESSAGES; \
		install -m644 $$x/LC_MESSAGES/*.mo debian/tmp/usr/share/locale/$$(basename $$x)/LC_MESSAGES; \
	done
	dh_install

# ---------------------------------------------------------------------------

ORIG_REPO ?= https://github.com/eonpatapon/gnome-shell-extension-caffeine.git
ORIG_COMMIT = 7b480f8a6867a56bf28007fdcd9cc901409f1796
# Use the date of the ORIG_COMMIT, or 20130426.1 if you snapshot twice in a day,
# or empty if ORIG_COMMIT is
ORIG_DATE = 20160328

# If upstream ever does a release, set ORIG_EXPORT to the tag
ORIG_VER := 0~git${ORIG_DATE}
ORIG_EXPORT := ${ORIG_COMMIT}

get-orig-source:
	test ! -e ${DEB_SOURCE}-${ORIG_VER}.git
	test ! -e ${DEB_SOURCE}_${ORIG_VER}.orig
	test ! -e ${DEB_SOURCE}_${ORIG_VER}.orig.tar.xz
	git clone --bare ${ORIG_REPO} ${DEB_SOURCE}-${ORIG_VER}.git
	GIT_DIR=${DEB_SOURCE}-${ORIG_VER}.git git archive \
		--format=tar \
		--prefix=${DEB_SOURCE}-${ORIG_VER}.orig/ \
		${ORIG_EXPORT} | tar -xvf-
	LC_ALL=C TZ=UTC GIT_DIR=${DEB_SOURCE}-${ORIG_VER}.git git log \
	       > ${DEB_SOURCE}-${ORIG_VER}.orig/ChangeLog
	tar --xz -cvf ${DEB_SOURCE}_${ORIG_VER}.orig.tar.xz ${DEB_SOURCE}-${ORIG_VER}.orig
	rm -rf ${DEB_SOURCE}-${ORIG_VER}.orig
	rm -rf ${DEB_SOURCE}-${ORIG_VER}.git

# to be invoked from a git checkout with upstream github as a remote;
# tarball ends up in ../build-area
maintainer-get-orig-source:
	$(MAKE) -f debian/rules get-orig-source ORIG_REPO=$$(pwd)/.git
	mv -i -v ${DEB_SOURCE}_${ORIG_VER}.orig.tar.xz ../build-area/
	@echo "try using:"
	@echo "gbp import-orig --debian-branch=debian/master --upstream-branch=upstream/master --upstream-vcs-tag=${ORIG_COMMIT} ../build-area/${DEB_SOURCE}_${ORIG_VER}.orig.tar.xz"

## gnome-shell-extension-caffeine 0~git20160329

=== debian/changelog ===
gnome-shell-extension-caffeine (0~git20160329-3) unstable; urgency=medium

  * Rely on gnome-shell >= 3.21.92 having dropped version-checks
    by default (Closes: #837725)
    - Drop patch to metadata.json. It only declares compatibility with
      3.20, but that's OK because the version-check is disabled by
      default now.
    - Depends: gnome-shell (<< 3.23). This avoids using stretch versions
      of this extension with buster versions of GNOME Shell, since we
      can't predict whether it will be 100% compatible

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Sep 2016 09:19:41 +0100

gnome-shell-extension-caffeine (0~git20160329-2) unstable; urgency=medium

  * Declare compatibility with GNOME 3.21.91 (3.22 beta 1)

 -- Simon McVittie <smcv@debian.org>  Mon, 05 Sep 2016 10:15:35 +0100

gnome-shell-extension-caffeine (0~git20160329-1) unstable; urgency=medium

  * Standards-Version: 3.9.8 (no changes)
  * debian/gbp.conf: Use correct DEP-14 branch name upstream/latest
  * d/rules: improve get-orig-source target
    - use correct DEP-14 branch name
    - get the "git log" from the commit we use
  * New upstream snapshot
    - drop patch declaring compatibility with GNOME 3.20, merged upstream

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Jul 2016 17:46:48 +0100

=== debian/rules ===
--- 
+++ 
@@ -25,10 +25,10 @@
 # ---------------------------------------------------------------------------
 
 ORIG_REPO ?= https://github.com/eonpatapon/gnome-shell-extension-caffeine.git
-ORIG_COMMIT = 7b480f8a6867a56bf28007fdcd9cc901409f1796
+ORIG_COMMIT = c4f53ceb4f3502eee8a93ced8e386f91b1b8e700
 # Use the date of the ORIG_COMMIT, or 20130426.1 if you snapshot twice in a day,
 # or empty if ORIG_COMMIT is
-ORIG_DATE = 20160328
+ORIG_DATE = 20160329
 
 # If upstream ever does a release, set ORIG_EXPORT to the tag
 ORIG_VER := 0~git${ORIG_DATE}
@@ -43,7 +43,7 @@
 		--format=tar \
 		--prefix=${DEB_SOURCE}-${ORIG_VER}.orig/ \
 		${ORIG_EXPORT} | tar -xvf-
-	LC_ALL=C TZ=UTC GIT_DIR=${DEB_SOURCE}-${ORIG_VER}.git git log \
+	LC_ALL=C TZ=UTC GIT_DIR=${DEB_SOURCE}-${ORIG_VER}.git git log ${ORIG_EXPORT} \
 	       > ${DEB_SOURCE}-${ORIG_VER}.orig/ChangeLog
 	tar --xz -cvf ${DEB_SOURCE}_${ORIG_VER}.orig.tar.xz ${DEB_SOURCE}-${ORIG_VER}.orig
 	rm -rf ${DEB_SOURCE}-${ORIG_VER}.orig
@@ -55,4 +55,4 @@
 	$(MAKE) -f debian/rules get-orig-source ORIG_REPO=$$(pwd)/.git
 	mv -i -v ${DEB_SOURCE}_${ORIG_VER}.orig.tar.xz ../build-area/
 	@echo "try using:"
-	@echo "gbp import-orig --debian-branch=debian/master --upstream-branch=upstream/master --upstream-vcs-tag=${ORIG_COMMIT} ../build-area/${DEB_SOURCE}_${ORIG_VER}.orig.tar.xz"
+	@echo "gbp import-orig --debian-branch=debian/master --upstream-branch=upstream/latest --upstream-vcs-tag=${ORIG_EXPORT} ../build-area/${DEB_SOURCE}_${ORIG_VER}.orig.tar.xz"

## gnome-shell-extension-caffeine 0~git20161228

=== debian/changelog ===
gnome-shell-extension-caffeine (0~git20161228-1) unstable; urgency=medium

  * New upstream snapshot
    - Explicitly declares compatibility with GNOME Shell 3.22 as used
      in stretch

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Jan 2017 22:00:51 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper (>= 9),
  gettext,
  libglib2.0-bin,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/eonpatapon/gnome-shell-extension-caffeine
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/gnome-shell-extension-caffeine.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-shell-extension-caffeine.git
@@ -14,7 +14,7 @@
 Package: gnome-shell-extension-caffeine
 Architecture: all
 Depends:
- gnome-shell (<< 3.21),
+ gnome-shell (<< 3.23),
  gnome-shell (>= 3.10),
  ${misc:Depends},
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -25,10 +25,10 @@
 # ---------------------------------------------------------------------------
 
 ORIG_REPO ?= https://github.com/eonpatapon/gnome-shell-extension-caffeine.git
-ORIG_COMMIT = c4f53ceb4f3502eee8a93ced8e386f91b1b8e700
+ORIG_COMMIT = fa92abe20bae4a2b4df700bcd9de04d80800b6cb
 # Use the date of the ORIG_COMMIT, or 20130426.1 if you snapshot twice in a day,
 # or empty if ORIG_COMMIT is
-ORIG_DATE = 20160329
+ORIG_DATE = 20161228
 
 # If upstream ever does a release, set ORIG_EXPORT to the tag
 ORIG_VER := 0~git${ORIG_DATE}

=== debian/watch ===
# There are no releases, only a git repository

## gnome-shell-extension-caffeine 0~git20170502

=== debian/changelog ===
gnome-shell-extension-caffeine (0~git20170502-1ubuntu1) artful; urgency=medium

  * Drop maximum gnome-shell version dependency

 -- Jeremy Bicha <jbicha@ubuntu.coom>  Thu, 31 Aug 2017 06:46:36 -0400

gnome-shell-extension-caffeine (0~git20170502-1) unstable; urgency=medium

  * Increase debhelper compat level to 10
  * New upstream snapshot compatible with GNOME Shell 3.24

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Jun 2017 16:42:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: gnome-shell-extension-caffeine
 Section: gnome
 Priority: optional
-Maintainer: Simon McVittie <smcv@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Simon McVittie <smcv@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  gettext,
  libglib2.0-bin,
 Standards-Version: 3.9.8
@@ -14,7 +15,6 @@
 Package: gnome-shell-extension-caffeine
 Architecture: all
 Depends:
- gnome-shell (<< 3.23),
  gnome-shell (>= 3.10),
  ${misc:Depends},
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -25,10 +25,10 @@
 # ---------------------------------------------------------------------------
 
 ORIG_REPO ?= https://github.com/eonpatapon/gnome-shell-extension-caffeine.git
-ORIG_COMMIT = fa92abe20bae4a2b4df700bcd9de04d80800b6cb
+ORIG_COMMIT = f90ff1b21a640822e4e14dfcee56d20248f67473
 # Use the date of the ORIG_COMMIT, or 20130426.1 if you snapshot twice in a day,
 # or empty if ORIG_COMMIT is
-ORIG_DATE = 20161228
+ORIG_DATE = 20170502
 
 # If upstream ever does a release, set ORIG_EXPORT to the tag
 ORIG_VER := 0~git${ORIG_DATE}

## gnome-shell-extension-caffeine 0~git20170621

=== debian/changelog ===
gnome-shell-extension-caffeine (0~git20170621-1) unstable; urgency=medium

  * New upstream snapshot
  * Bump upper limit on GNOME Shell dependency to 3.27
  * Declare Debian Policy 4.1.0 compliance
    - Use https URL for machine-readable copyright file format

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Sep 2017 10:23:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: gnome-shell-extension-caffeine
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Simon McVittie <smcv@debian.org>
+Maintainer: Simon McVittie <smcv@debian.org>
 Build-Depends:
  debhelper (>= 10),
  gettext,
  libglib2.0-bin,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/eonpatapon/gnome-shell-extension-caffeine
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/gnome-shell-extension-caffeine.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-shell-extension-caffeine.git
@@ -15,6 +14,7 @@
 Package: gnome-shell-extension-caffeine
 Architecture: all
 Depends:
+ gnome-shell (<< 3.27),
  gnome-shell (>= 3.10),
  ${misc:Depends},
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -25,10 +25,10 @@
 # ---------------------------------------------------------------------------
 
 ORIG_REPO ?= https://github.com/eonpatapon/gnome-shell-extension-caffeine.git
-ORIG_COMMIT = f90ff1b21a640822e4e14dfcee56d20248f67473
+ORIG_COMMIT = ce0d0d4d3a9fed4b35b82cf59609a00502862271
 # Use the date of the ORIG_COMMIT, or 20130426.1 if you snapshot twice in a day,
 # or empty if ORIG_COMMIT is
-ORIG_DATE = 20170502
+ORIG_DATE = 20170621
 
 # If upstream ever does a release, set ORIG_EXPORT to the tag
 ORIG_VER := 0~git${ORIG_DATE}

## gnome-shell-extension-caffeine 0~git20171229

=== debian/changelog ===
gnome-shell-extension-caffeine (0~git20171229-2) unstable; urgency=medium

  * Recommend gnome-tweaks instead of gnome-tweak-tool, following
    upstream rename
  * Bump upper limit on GNOME Shell dependency to 3.29

 -- Simon McVittie <smcv@debian.org>  Sun, 25 Feb 2018 17:19:42 +0000

gnome-shell-extension-caffeine (0~git20171229-1) unstable; urgency=medium

  * New upstream snapshot
  * Declare Debian Policy 4.1.3 compliance (no changes required)
  * Change Vcs-* for migration to salsa.debian.org
  * Remove empty debian/watch

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Jan 2018 09:58:11 +0000

=== debian/control ===
Source: gnome-shell-extension-caffeine
Section: gnome
Priority: optional
Maintainer: Simon McVittie <smcv@debian.org>
Build-Depends:
 debhelper (>= 10),
 gettext,
 libglib2.0-bin,
Standards-Version: 4.1.3
Homepage: https://github.com/eonpatapon/gnome-shell-extension-caffeine
Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-caffeine.git
Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-caffeine

Package: gnome-shell-extension-caffeine
Architecture: all
Depends:
 gnome-shell (<< 3.29),
 gnome-shell (>= 3.10),
 ${misc:Depends},
Recommends:
 gnome-tweaks,
Description: GNOME Shell extension to keep your computer awake
 This GNOME Shell extension provides an icon which can be toggled to
 inhibit the actions that would normally be taken when the system is idle,
 including screen locking, screensaver and automatic suspend. By default
 it also inhibits idle actions while any window is full-screen, and it can
 be configured to inhibit idle actions while user-specified applications
 have any window open.
 .
 Please note that each user will need to enable the extension manually, for
 example using the gnome-tweaks application.

=== debian/rules ===
--- 
+++ 
@@ -25,10 +25,10 @@
 # ---------------------------------------------------------------------------
 
 ORIG_REPO ?= https://github.com/eonpatapon/gnome-shell-extension-caffeine.git
-ORIG_COMMIT = ce0d0d4d3a9fed4b35b82cf59609a00502862271
+ORIG_COMMIT = d7bc1ab3c4db85034aa3aef14f6ef7e3127c6798
 # Use the date of the ORIG_COMMIT, or 20130426.1 if you snapshot twice in a day,
 # or empty if ORIG_COMMIT is
-ORIG_DATE = 20170621
+ORIG_DATE = 20171229
 
 # If upstream ever does a release, set ORIG_EXPORT to the tag
 ORIG_VER := 0~git${ORIG_DATE}

## gnome-shell-extension-caffeine 0~git20180918

=== debian/changelog ===
gnome-shell-extension-caffeine (0~git20180918-1) unstable; urgency=medium

  * New upstream snapshot
    - Drop patches in favour of equivalent upstream changes
  * Update Vcs-* for GNOME Team shell-extensions subgroup
  * d/docs: Install README.md
  * Add the GNOME Team to Uploaders (team uploads and new maintainers
    welcome)
  * Standards-Version: 4.2.1
  * Set Rules-Requires-Root to no
  * d/watch: Add, using git mode

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Oct 2018 09:55:15 +0000

gnome-shell-extension-caffeine (0~git20171229-3) unstable; urgency=medium

  * Add patches to be compatible with GNOME Shell 3.29 (Closes: #905108)
  * Bump upper limit on GNOME Shell dependency to 3.31

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Aug 2018 16:40:23 +0100

=== debian/watch ===
version=4
opts="mode=git,dversionmangle=s/[~+](dfsg|ds)[0-9]*$//,compression=xz,repacksuffix=~dfsg,pretty=0~%cd" \
https://github.com/eonpatapon/gnome-shell-extension-caffeine \
HEAD \
debian \
uupdate

## gnome-shell-extension-caffeine 0~git20181105

=== debian/changelog ===
gnome-shell-extension-caffeine (0~git20181105-1) unstable; urgency=medium

  * New upstream snapshot
  * d/watch: Fix version mangling
  * d/rules: Remove get-orig-source, please use uscan instead

 -- Simon McVittie <smcv@debian.org>  Fri, 09 Nov 2018 10:15:52 +0000

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,21 @@
 Section: gnome
 Priority: optional
 Maintainer: Simon McVittie <smcv@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends:
  debhelper (>= 10),
  gettext,
  libglib2.0-bin,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/eonpatapon/gnome-shell-extension-caffeine
-Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-caffeine.git
-Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-caffeine
+Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine
+Rules-Requires-Root: no
 
 Package: gnome-shell-extension-caffeine
 Architecture: all
 Depends:
- gnome-shell (<< 3.29),
+ gnome-shell (<< 3.31),
  gnome-shell (>= 3.10),
  ${misc:Depends},
 Recommends:

=== debian/watch ===
version=4
opts="mode=git,dversionmangle=s/[~+](dfsg|ds)[0-9]*$//,compression=xz,repacksuffix=~dfsg,pretty=0~git%cd" \
https://github.com/eonpatapon/gnome-shell-extension-caffeine \
HEAD \
debian \
uupdate

## gnome-shell-extension-caffeine 0~git20190409

=== debian/changelog ===
gnome-shell-extension-caffeine (0~git20190409-2) experimental; urgency=medium

  * d/p/Update-for-GNOME-Shell-3.34.patch:
    Adjust for GNOME Shell 3.34, breaking compatibility with GNOME Shell 3.32

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Sep 2019 12:19:49 +0100

gnome-shell-extension-caffeine (0~git20190409-1) experimental; urgency=medium

  * Branch for debian/experimental
  * New upstream snapshot
    - supports GNOME Shell 3.32
    - no longer supports GNOME Shell 3.30
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * Thanks to Iain Lane for testing this branch.

 -- Simon McVittie <smcv@debian.org>  Fri, 19 Jul 2019 10:31:39 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
  libglib2.0-bin,
 Standards-Version: 4.2.1
 Homepage: https://github.com/eonpatapon/gnome-shell-extension-caffeine
-Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine.git
+Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine
 Rules-Requires-Root: no
 
 Package: gnome-shell-extension-caffeine
 Architecture: all
 Depends:
- gnome-shell (<< 3.31),
- gnome-shell (>= 3.10),
+ gnome-shell (<< 3.35),
+ gnome-shell (>= 3.33.92),
  ${misc:Depends},
 Recommends:
  gnome-tweaks,

## gnome-shell-extension-caffeine 33

=== debian/changelog ===
gnome-shell-extension-caffeine (33-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Use tags as source of downloads
  * d/gbp.conf: Configure upstream-vcs-tag

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Dec 2019 15:12:54 +0000

gnome-shell-extension-caffeine (0~git20190409-3) unstable; urgency=medium

  * Upload to unstable for GNOME 3.34 transition
  * Standards-Version: 4.4.1 (no changes required)
  * d/gbp.conf: Switch branch back to debian/master
  * Use debhelper-compat 12

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Oct 2019 10:08:13 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Simon McVittie <smcv@debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  gettext,
  libglib2.0-bin,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://github.com/eonpatapon/gnome-shell-extension-caffeine
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine

## gnome-shell-extension-caffeine 35

=== debian/changelog ===
gnome-shell-extension-caffeine (35-2) unstable; urgency=medium

  * Recommend gnome-shell-extension-prefs instead of gnome-tweaks
  * Upload to unstable (transition: #954422)

 -- Simon McVittie <smcv@debian.org>  Fri, 10 Apr 2020 15:17:13 +0100

gnome-shell-extension-caffeine (35-1) experimental; urgency=medium

  * New upstream release, breaking compatibility with GNOME Shell 3.34
  * Bump dependencies for GNOME Shell 3.36
  * d/upstream/metadata: Add
  * d/gbp.conf: Configure for experimental
  * Standards-Version: 4.5.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Mar 2020 20:07:34 +0000

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,20 @@
  debhelper-compat (= 12),
  gettext,
  libglib2.0-bin,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/eonpatapon/gnome-shell-extension-caffeine
-Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine.git -b debian/experimental
+Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine
 Rules-Requires-Root: no
 
 Package: gnome-shell-extension-caffeine
 Architecture: all
 Depends:
- gnome-shell (<< 3.35),
- gnome-shell (>= 3.33.92),
+ gnome-shell (<< 3.37),
+ gnome-shell (>= 3.36),
  ${misc:Depends},
 Recommends:
- gnome-tweaks,
+ gnome-shell-extension-prefs,
 Description: GNOME Shell extension to keep your computer awake
  This GNOME Shell extension provides an icon which can be toggled to
  inhibit the actions that would normally be taken when the system is idle,
@@ -30,4 +30,4 @@
  have any window open.
  .
  Please note that each user will need to enable the extension manually, for
- example using the gnome-tweaks application.
+ example using the gnome-shell-extension-prefs application.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@-$1$2/,dversionmangle=s/\+git[0-9.]+$// \
https://github.com/eonpatapon/@PACKAGE@/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## gnome-shell-extension-caffeine 37

=== debian/changelog ===
gnome-shell-extension-caffeine (37-1) unstable; urgency=medium

  * New upstream release
  * Drop patch, fixed differently upstream
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Dec 2020 11:51:08 +0000

gnome-shell-extension-caffeine (35-3) unstable; urgency=medium

  * Refresh patch series
  * Declare compatibility with GNOME Shell 3.37.x/3.38.x

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Sep 2020 21:19:36 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 12),
  gettext,
  libglib2.0-bin,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/eonpatapon/gnome-shell-extension-caffeine
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine
@@ -16,7 +16,7 @@
 Package: gnome-shell-extension-caffeine
 Architecture: all
 Depends:
- gnome-shell (<< 3.37),
+ gnome-shell (<< 3.39),
  gnome-shell (>= 3.36),
  ${misc:Depends},
 Recommends:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	glib-compile-schemas --strict --targetdir=caffeine@patapon.info/schemas/ caffeine@patapon.info/schemas
	touch caffeine@patapon.info/gnome-shell-extension-caffeine.pot
	./update-locale.sh
	dh_auto_build

override_dh_install:
	set -e; for x in caffeine@patapon.info/locale/*; do \
		install -d debian/tmp/usr/share/locale/$$(basename $$x)/LC_MESSAGES; \
		install -m644 $$x/LC_MESSAGES/*.mo debian/tmp/usr/share/locale/$$(basename $$x)/LC_MESSAGES; \
	done
	dh_install

## gnome-shell-extension-caffeine 38

=== debian/changelog ===
gnome-shell-extension-caffeine (38-1) experimental; urgency=medium

  * New upstream release for GNOME 40 (Closes: #993060)
  * d/watch: Update for Github changes
  * Use debhelper compat level 13
  * Add patches from upstream to relax the version constraint to any 40.x

 -- Simon McVittie <smcv@debian.org>  Tue, 31 Aug 2021 10:33:38 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Simon McVittie <smcv@debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gettext,
  libglib2.0-bin,
 Standards-Version: 4.5.1
@@ -16,8 +16,8 @@
 Package: gnome-shell-extension-caffeine
 Architecture: all
 Depends:
- gnome-shell (<< 3.39),
- gnome-shell (>= 3.36),
+ gnome-shell (<< 41~),
+ gnome-shell (>= 40~),
  ${misc:Depends},
 Recommends:
  gnome-shell-extension-prefs,

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,7 @@
 	dh $@
 
 override_dh_auto_build:
-	glib-compile-schemas --strict --targetdir=caffeine@patapon.info/schemas/ caffeine@patapon.info/schemas
-	touch caffeine@patapon.info/gnome-shell-extension-caffeine.pot
-	./update-locale.sh
-	dh_auto_build
+	dh_auto_build -- build
 
 override_dh_install:
 	set -e; for x in caffeine@patapon.info/locale/*; do \

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@-$1$2/,dversionmangle=s/\+git[0-9.]+$// \
https://github.com/eonpatapon/@PACKAGE@/releases .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@

## gnome-shell-extension-caffeine 39

=== debian/changelog ===
gnome-shell-extension-caffeine (39-2) unstable; urgency=medium

  * d/watch: Update for Github website changes

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Feb 2022 11:05:58 +0000

gnome-shell-extension-caffeine (39-1) unstable; urgency=medium

  * New upstream release
    - GNOME Shell 41 is now supported
  * d/control: Refer to gnome-extensions-app.
    The gnome-shell-extension-prefs program is deprecated, although the
    package of the same name still exists (and now contains
    gnome-extensions-app).
  * Update standards version to 4.6.0 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Oct 2021 15:56:48 +0100

gnome-shell-extension-caffeine (38-2) unstable; urgency=medium

  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Sep 2021 22:16:37 +0100

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@-$1$2/,dversionmangle=s/\+git[0-9.]+$// \
https://github.com/eonpatapon/@PACKAGE@/tags .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@

## gnome-shell-extension-caffeine 44

=== Makefile ===
all: build install

.PHONY: build install lint dist

build:
	./update-locale.sh
	glib-compile-schemas --strict --targetdir=caffeine@patapon.info/schemas/ caffeine@patapon.info/schemas

dist: build
	rm -f caffeine@patapon.info.zip
	cd caffeine@patapon.info && zip -r ../caffeine@patapon.info.zip ./* --exclude \*.po --exclude \*.gschema.xml

install:
	install -d ~/.local/share/gnome-shell/extensions
	cp -a caffeine@patapon.info/ ~/.local/share/gnome-shell/extensions/

lint:
	eslint --resolve-plugins-relative-to "$(shell npm root -g)" caffeine@patapon.info

lint-fix:
	eslint --resolve-plugins-relative-to "$(shell npm root -g)" --fix caffeine@patapon.info

=== debian/changelog ===
gnome-shell-extension-caffeine (44-2) unstable; urgency=medium

  * d/p/Fix-bad-call-of-_toggleWorkspace.patch:
    Add patch from upstream to fix use of app-triggered settings

 -- Simon McVittie <smcv@debian.org>  Fri, 24 Feb 2023 16:46:45 +0000

gnome-shell-extension-caffeine (44-1) unstable; urgency=medium

  * New upstream release
  * Increase gnome-shell dependency to 43
  * d/copyright: Update (license is now GPL-3+)
  * d/rules, d/install: Redo installation to add missing preferences module
  * Standards-Version: 4.6.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Feb 2023 10:08:16 +0000

gnome-shell-extension-caffeine (42-1) unstable; urgency=medium

  * New upstream release
  * d/p/metadata.json-Declare-compatibility-with-GNOME-Shell-43.patch:
    Drop patch, applied upstream
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Nov 2022 19:44:59 +0000

gnome-shell-extension-caffeine (41-2) unstable; urgency=medium

  * d/p/metadata.json-Declare-compatibility-with-GNOME-Shell-43.patch:
    Add patch to declare compatibility with GNOME Shell 43
    (Closes: #1018187)
  * Standards-Version: 4.6.1

 -- Simon McVittie <smcv@debian.org>  Mon, 29 Aug 2022 15:11:28 +0100

gnome-shell-extension-caffeine (41-1) unstable; urgency=medium

  * New upstream release
  * Drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Apr 2022 16:38:51 +0100

gnome-shell-extension-caffeine (39-3) unstable; urgency=medium

  * Add proposed patch enabling use with GNOME 42

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Mar 2022 19:40:53 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  gettext,
  libglib2.0-bin,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/eonpatapon/gnome-shell-extension-caffeine
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine
@@ -16,8 +16,8 @@
 Package: gnome-shell-extension-caffeine
 Architecture: all
 Depends:
- gnome-shell (<< 41~),
- gnome-shell (>= 40~),
+ gnome-shell (<< 44~),
+ gnome-shell (>= 43~),
  ${misc:Depends},
 Recommends:
  gnome-shell-extension-prefs,
@@ -30,4 +30,5 @@
  have any window open.
  .
  Please note that each user will need to enable the extension manually, for
- example using the gnome-shell-extension-prefs application.
+ example using gnome-extensions-app from the gnome-shell-extension-prefs
+ package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- build

override_dh_auto_install:
	rm -fr $(CURDIR)/debian/tmp
	install -d $(CURDIR)/debian/tmp/usr/share/gnome-shell/extensions
	cp -a caffeine@patapon.info \
		$(CURDIR)/debian/tmp/usr/share/gnome-shell/extensions/

## gnome-shell-extension-caffeine 48

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 dist: build
 	rm -f caffeine@patapon.info.zip
-	cd caffeine@patapon.info && zip -r ../caffeine@patapon.info.zip ./* --exclude \*.po --exclude \*.gschema.xml
+	cd caffeine@patapon.info && zip -r ../caffeine@patapon.info.zip ./* --exclude \*.po
 
 install:
 	install -d ~/.local/share/gnome-shell/extensions

## gnome-shell-extension-caffeine 56

=== Makefile ===
BUNDLE_PATH = "caffeine@patapon.info.zip"
EXTENSION_DIR = "caffeine@patapon.info"

all: build install

.PHONY: build install clean translations lint lint-fix

build:
	rm -f $(BUNDLE_PATH)
	cd $(EXTENSION_DIR); \
	gnome-extensions pack --force --podir=locale \
	                      --extra-source=preferences/ \
	                      --extra-source=icons/; \
	mv $(EXTENSION_DIR).shell-extension.zip ../$(BUNDLE_PATH)

install:
	gnome-extensions install $(BUNDLE_PATH) --force

clean:
	@rm -fv $(BUNDLE_PATH)
	@rm -fv $(EXTENSION_DIR)/schemas/gschemas.compiled

translations:
	@./update-locale.sh

lint:
	eslint -c .eslintrc.yml --resolve-plugins-relative-to "$(shell npm root -g)" $(EXTENSION_DIR)

lint-fix:
	eslint -c .eslintrc.yml --resolve-plugins-relative-to "$(shell npm root -g)" --fix $(EXTENSION_DIR)

=== debian/changelog ===
gnome-shell-extension-caffeine (56-2) unstable; urgency=medium

  * Team upload
  * Automatically update supported GNOME Shell versions by parsing metadata.json

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Apr 2025 19:23:51 -0400

gnome-shell-extension-caffeine (56-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Sat, 15 Feb 2025 16:42:02 +0000

gnome-shell-extension-caffeine (55-2) unstable; urgency=medium

  * Team upload
  * Add patch to mark compatible with GNOME 48
  * Bump maximum GNOME Shell to 48

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Feb 2025 16:47:02 -0500

gnome-shell-extension-caffeine (55-1) unstable; urgency=medium

  * New upstream translation update release
  * d/patches/series: Remove empty patch series
  * Move build-dependencies not needed for building source to B-D-I.
    This avoids some false positives when attempting to remove
    gnome-shell from armel.

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Oct 2024 11:44:47 +0100

gnome-shell-extension-caffeine (54-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards Version to 4.7.0
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 17 Sep 2024 13:26:08 -0400

gnome-shell-extension-caffeine (53+git20240817.be10165-1) experimental; urgency=medium

  * d/snapshot.watch: Add a uscan watch file to download git snapshots
  * New upstream git snapshot
  * d/control: Declare compatibility with GNOME Shell 47
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Aug 2024 16:15:09 +0100

gnome-shell-extension-caffeine (53-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop all patches: applied in new release
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Jul 2024 07:27:01 -0400

gnome-shell-extension-caffeine (52-1) experimental; urgency=medium

  * New upstream release
    - v52 was released to extensions.gnome.org, but not tagged in the
      upstream git repo, so uscan will complain about this.
  * d/patches: Update to upstream git commit v50-16-g8e60bbb
    - Remove compatibility with obsolete Shell versions
    - Fix an assertion failure in the preferences
    - Make the steam rising from the coffee take dark mode into account
    - Translation updates: de
  * d/patches:
    Add patches from upstream PR #317 to be compatible with GNOME Shell 46.
    Thanks to Stuart Hayhurst (Closes: #1067436)

 -- Simon McVittie <smcv@debian.org>  Sun, 24 Mar 2024 18:00:33 +0000

gnome-shell-extension-caffeine (50-1) experimental; urgency=medium

  * New upstream release supporting GNOME Shell 45 (Closes: #1052091)
  * d/rules: Continue to compile GSettings schemas.
    The upstream build system no longer does this, shipping a precompiled
    version in the git tree instead; but `make clean` deletes the
    precompiled version, so we need to be prepared to rebuild it.

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Sep 2023 11:39:00 +0100

gnome-shell-extension-caffeine (49-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream release
  * Fix FTBFS-twice-in-a-row (Closes: #1045125)
    - d/clean: Clean up generated files
    - d/source/options: Ignore programmatic changes to locale files
      during build
  * Build-depend on gnome-shell, for the gnome-extensions tool

  [ Amin Bandali ]
  * Change packaging branch to debian/latest

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Sep 2023 21:11:37 +0100

gnome-shell-extension-caffeine (48-1) unstable; urgency=medium

  * New upstream release
  * d/p/Fix-bad-call-of-_toggleWorkspace.patch:
    Drop patch, included upstream
  * d/control: Declare compatibility with GNOME Shell 44

 -- Simon McVittie <smcv@debian.org>  Fri, 16 Jun 2023 11:01:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,12 @@
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+Build-Depends-Indep:
  gettext,
+ gnome-shell (>= 45~),
  libglib2.0-bin,
-Standards-Version: 4.6.2
+ python3,
+Standards-Version: 4.7.0
 Homepage: https://github.com/eonpatapon/gnome-shell-extension-caffeine
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine
@@ -16,8 +19,8 @@
 Package: gnome-shell-extension-caffeine
 Architecture: all
 Depends:
- gnome-shell (<< 44~),
- gnome-shell (>= 43~),
+ gnome-shell (>= ${gnome:MinimumVersion}~),
+ gnome-shell (<< ${gnome:MaximumVersion}~),
  ${misc:Depends},
 Recommends:
  gnome-shell-extension-prefs,

=== debian/watch ===
version=4
opts="\
    dversionmangle=s/\+(?:dfsg|ds|git)[0-9.]*$//, \
    filenamemangle=s/.+\/v?@ANY_VERSION@$/@PACKAGE@-$1\.tar\.gz/, \
    searchmode=plain" \
https://api.github.com/repos/eonpatapon/@PACKAGE@/tags \
https://api.github.com/repos/eonpatapon/@PACKAGE@/tarball/refs/tags/v?@ANY_VERSION@

## gnome-shell-extension-caffeine 57

=== debian/changelog ===
gnome-shell-extension-caffeine (57-2) unstable; urgency=medium

  * Rebuild for unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Aug 2025 11:26:27 +0100

gnome-shell-extension-caffeine (57-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2 (no changes required)
  * Upload to experimental due to the trixie freeze

 -- Simon McVittie <smcv@debian.org>  Fri, 09 May 2025 14:33:02 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  gnome-shell (>= 45~),
  libglib2.0-bin,
  python3,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/eonpatapon/gnome-shell-extension-caffeine
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine

## gnome-shell-extension-caffeine 58

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,8 @@
 	cd $(EXTENSION_DIR); \
 	gnome-extensions pack --force --podir=locale \
 	                      --extra-source=preferences/ \
-	                      --extra-source=icons/; \
+	                      --extra-source=icons/ \
+	                      --extra-source=mprisMediaPlayer2.js; \
 	mv $(EXTENSION_DIR).shell-extension.zip ../$(BUNDLE_PATH)
 
 install:

=== debian/changelog ===
gnome-shell-extension-caffeine (58-2) unstable; urgency=medium

  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 26 Sep 2025 10:13:07 +0100

gnome-shell-extension-caffeine (58-1) experimental; urgency=medium

  * New upstream release
    - d/patches: Drop both patches, applied upstream
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * Upload to experimental to avoid delaying 57-3 migration to testing

 -- Simon McVittie <smcv@debian.org>  Tue, 23 Sep 2025 16:43:53 +0100

gnome-shell-extension-caffeine (57-3) unstable; urgency=medium

  * d/patches: Add patches from upstream for GNOME Shell 49 compatibility
    (Closes: #1115511)

 -- Simon McVittie <smcv@debian.org>  Fri, 19 Sep 2025 20:12:53 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
 Homepage: https://github.com/eonpatapon/gnome-shell-extension-caffeine
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-caffeine
-Rules-Requires-Root: no
 
 Package: gnome-shell-extension-caffeine
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	dh $@
 
 override_dh_auto_build:
+	glib-compile-schemas --strict --targetdir=caffeine@patapon.info/schemas/ caffeine@patapon.info/schemas
 	dh_auto_build -- build
 
 override_dh_auto_install:
@@ -17,3 +18,8 @@
 	install -d $(CURDIR)/debian/tmp/usr/share/gnome-shell/extensions
 	cp -a caffeine@patapon.info \
 		$(CURDIR)/debian/tmp/usr/share/gnome-shell/extensions/
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('caffeine@patapon.info/metadata.json', 'rt'))['shell-version']))") \
+		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('caffeine@patapon.info/metadata.json', 'rt'))['shell-version']))")

## gnome-shell-extension-caffeine 59

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	@./update-locale.sh
 
 lint:
-	eslint -c .eslintrc.yml --resolve-plugins-relative-to "$(shell npm root -g)" $(EXTENSION_DIR)
+	npx eslint $(EXTENSION_DIR)
 
 lint-fix:
-	eslint -c .eslintrc.yml --resolve-plugins-relative-to "$(shell npm root -g)" --fix $(EXTENSION_DIR)
+	npx eslint --fix $(EXTENSION_DIR)

=== debian/changelog ===
gnome-shell-extension-caffeine (59-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Sun, 23 Nov 2025 12:03:28 +0000
